// SPDX-License-Identifier: AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2023-2024 swt23w23
package catering.order;

import jakarta.validation.constraints.NotNull;
import org.salespointframework.order.OrderStatus;

import java.util.Optional;


class OrderQueryForm {
	private @NotNull Optional<OrderStatus> orderStatus = Optional.empty();

	public Optional<OrderStatus> getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(Optional<OrderStatus> orderStatus) {
		this.orderStatus = orderStatus;
	}

	public static OrderQueryForm of(CustomOrder order) {
		OrderQueryForm form = new OrderQueryForm();
		form.setOrderStatus(Optional.of(order.getOrderStatus()));
		return form;

	}
}
