// SPDX-License-Identifier: AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2023-2024 swt23w23
package catering.staff;

import org.springframework.validation.Errors;

import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.PositiveOrZero;

public class StaffForm {

	private @NotEmpty String name;
	private @NotNull JobType job;
	private @PositiveOrZero @NotNull Double wage;

	public StaffForm() {
		// No need for default values
	}

	public String getName() {
		return name;
	}

	public JobType getJob() {
		return job;
	}

	public Double getWage() {
		return wage;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setJob(JobType job) {
		this.job = job;
	}

	public void setWage(Double wage) {
		this.wage = wage;
	}

	public void validate(Errors e) {
		if (job == null) {
			e.rejectValue("job", "job is not a job type");
		}
	}

}
