// SPDX-License-Identifier: AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2024 swt23w23
package catering.staff;

import static org.assertj.core.api.Assertions.assertThat;
import static org.salespointframework.core.Currencies.EURO;

import org.javamoney.moneta.Money;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.DirtiesContext;

@SpringBootTest
public class StaffUnitTests {
	private Employee defaultEmployee;

	@Autowired
	private StaffManagement staffManagement;

	@BeforeEach
	void setup() {
		defaultEmployee = staffManagement.save(new Employee("Karl Baum", JobType.COOK, Money.of(10, EURO)));
	}

	@Test
	@DirtiesContext
	void staffNotEqualToDifferentClass() {
		assertThat(defaultEmployee).isNotEqualTo(new Object());
	}

}
