// SPDX-License-Identifier: Apache-2.0 AND AGPL-3.0-or-later
// SPDX-FileCopyrightText: 2022-2023 the original author or authors.
package catering.welcome;

import catering.Application;

import java.io.IOException;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.springframework.modulith.core.ApplicationModules;
import org.springframework.modulith.docs.Documenter;
import org.springframework.modulith.docs.Documenter.CanvasOptions;
import org.springframework.modulith.docs.Documenter.DiagramOptions;

/**
 * Test case to verify the modular structure of the application.
 *
 * @author Oliver Drotbohm
 */
class ModularityTests {

	ApplicationModules modules = ApplicationModules.of(Application.class);

	@Test
	@Disabled
	void verifyModularity() {
		modules.verify();
	}

	@Test
	@Disabled
	void generateDocs() throws IOException {

		new Documenter(modules)
				.writeDocumentation(DiagramOptions.defaults(), CanvasOptions.defaults());
	}
}
